Bug 252817 (kwin-intel) - KWin crashes on intel/mesa glClear(GL_COLOR_BUFFER_BIT)
Summary: KWin crashes on intel/mesa glClear(GL_COLOR_BUFFER_BIT)
Status: RESOLVED UPSTREAM
Alias: kwin-intel
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
: 246892 246960 252824 255094 256128 257115 264258 264493 265960 266132 266416 267939 268321 268394 268589 269314 269504 269562 269889 269891 269895 269938 270099 270557 271396 271452 271574 271873 271905 271964 272011 272021 272069 272102 272106 272118 272201 272304 272323 272331 272448 272484 272506 272524 272646 272676 272690 272696 272699 272704 272726 272727 272745 272826 272829 272846 273066 273078 273242 273246 273271 273464 273495 273553 273601 273989 274042 274967 275176 275202 275478 275525 275741 275979 276152 276484 276588 276695 276797 276860 277203 277463 277623 277753 277880 277899 277972 278310 278360 278470 278496 278595 278796 278873 278919 278979 279129 279310 279514 280059 280190 280415 280499 280613 280719 280730 280766 280954 281056 281428 282275 282981 283096 283498 283561 285432 289102 293281 301529 302764 303961 304042 304464 305002 306254 307442 310027 317594 320624 321959 322206 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-09-30 04:29 UTC by Kevin Adler
Modified: 2013-08-05 19:27 UTC (History)
133 users (show)

See Also:
Latest Commit:
Version Fixed In:
mgraesslin: Intel+


Attachments
New crash information added by DrKonqi (11.73 KB, text/plain)
2011-04-02 14:19 UTC, kkn
Details
New crash information added by DrKonqi (10.74 KB, text/plain)
2011-04-12 00:09 UTC, mop
Details
New crash information added by DrKonqi (10.90 KB, text/plain)
2011-04-29 23:37 UTC, Valentin Rusu
Details
New crash information added by DrKonqi (12.38 KB, text/plain)
2011-05-05 12:41 UTC, romko.ua
Details
New crash information added by DrKonqi (12.03 KB, text/plain)
2011-05-08 18:13 UTC, Anthony Foglia
Details
New crash information added by DrKonqi (10.64 KB, text/plain)
2011-05-13 01:05 UTC, alan
Details
New crash information added by DrKonqi (12.50 KB, text/plain)
2011-05-14 11:45 UTC, Carlo
Details
New crash information added by DrKonqi (13.57 KB, text/plain)
2011-05-15 07:31 UTC, subcoolent
Details
New crash information added by DrKonqi (13.40 KB, text/plain)
2011-05-15 07:36 UTC, subcoolent
Details
New crash information added by DrKonqi (10.90 KB, text/plain)
2011-05-15 14:49 UTC, Thilo Frueh
Details
New crash information added by DrKonqi (13.75 KB, text/plain)
2011-05-15 20:48 UTC, subcoolent
Details
New crash information added by DrKonqi (12.54 KB, text/plain)
2011-06-11 01:18 UTC, backslashn
Details
New crash information added by DrKonqi (11.33 KB, text/plain)
2011-07-08 20:16 UTC, gjtunley
Details
New crash information added by DrKonqi (12.45 KB, text/plain)
2011-07-10 17:34 UTC, Igor
Details
New crash information added by DrKonqi (12.28 KB, text/plain)
2011-07-20 01:19 UTC, Joseph F Polacko
Details
New crash information added by DrKonqi (18.39 KB, text/plain)
2011-07-27 16:22 UTC, Helio Loureiro
Details
New crash information added by DrKonqi (25.34 KB, text/plain)
2011-08-08 20:41 UTC, J Queiroz
Details
New crash information added by DrKonqi (11.88 KB, text/plain)
2011-09-06 07:58 UTC, Nicolas Religieux
Details
New crash information added by DrKonqi (8.94 KB, text/plain)
2012-07-28 18:12 UTC, Jannis Liapis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Adler 2010-09-30 04:29:45 UTC
Application: kwin (4.5.1 (KDE 4.5.1) "release 3")
KDE Platform Version: 4.5.1 (KDE 4.5.1) "release 3"
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-0.3-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

I'm not exactly sure how KWin crashed, but I was watching a flash video in Chromium. It ended and I alt-tabbed and things locked up. Suddenly a Chromium tab was in it's own window like I had dragged it off the tab bar, but I hadn't. Not sure if this really helps or not.

This is on an R400 Thinkpad laptop with intel i945 graphics. KWin works fairly good with effects but these intel drivers are really buggy it seems.

-- Backtrace:
Application: KWin (kwin), signal: Segmentation fault
[KCrash Handler]
#6  intel_region_buffer (intel=0x780530, region=0x0, flag=2) at intel_regions.c:498
#7  0x00007f123d601dc4 in intelClearWithBlit (ctx=0x780530, mask=2) at intel_blit.c:266
#8  0x00007f123d603dca in intelClear (ctx=0x780530, mask=<value optimized out>) at intel_clear.c:173
#9  0x00007f12540ddf85 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/scene_opengl.cpp:892
#10 0x00007f12541372b6 in KWin::Scene::paintGenericScreen (this=0x10a60a0, orig_mask=32) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/scene.cpp:187
#11 0x00007f12541090aa in KWin::Scene::finalPaintScreen (this=0x10a60a0, mask=32, region=<value optimized out>, data=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/scene.cpp:177
#12 0x00007f125413a4dc in KWin::EffectsHandlerImpl::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:172
#13 0x00007f123ccf8e6f in KWin::LogoutEffect::paintScreen (this=0x10790b0, mask=32, region=..., data=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects/logout/logout.cpp:207
#14 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#15 0x00007f123ccfd842 in KWin::PresentWindowsEffect::paintScreen (this=0x11311c0, mask=32, region=..., data=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects/presentwindows/presentwindows.cpp:196
#16 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#17 0x00007f125279241f in KWin::Effect::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/lib/kwineffects.cpp:227
#18 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#19 0x00007f125279241f in KWin::Effect::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/lib/kwineffects.cpp:227
#20 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#21 0x00007f125279241f in KWin::Effect::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/lib/kwineffects.cpp:227
#22 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#23 0x00007f125279241f in KWin::Effect::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/lib/kwineffects.cpp:227
#24 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#25 0x00007f125279241f in KWin::Effect::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/lib/kwineffects.cpp:227
#26 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#27 0x00007f123cce50d8 in KWin::DesktopGridEffect::paintScreen (this=0x126d7a0, mask=32, region=..., data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects/desktopgrid/desktopgrid.cpp:155
#28 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#29 0x00007f123cd193dd in KWin::SlideEffect::paintScreen (this=<value optimized out>, mask=32, region=..., data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects/slide/slide.cpp:86
#30 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#31 0x00007f123ccde5f2 in KWin::BoxSwitchEffect::paintScreen (this=0x1760a40, mask=32, region=..., data=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects/boxswitch/boxswitch.cpp:142
#32 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#33 0x00007f123cd27f94 in KWin::CoverSwitchEffect::paintScreen (this=0x112bb30, mask=32, region=..., data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects/coverswitch/coverswitch.cpp:124
#34 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#35 0x00007f125279241f in KWin::Effect::paintScreen (this=<value optimized out>, mask=32, region=<value optimized out>, data=...)
    at /usr/src/debug/kdebase-workspace-4.5.1/kwin/lib/kwineffects.cpp:227
#36 0x00007f125413a56c in KWin::EffectsHandlerImpl::paintScreen (this=0x1341ca0, mask=32, region=<value optimized out>, data=...) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/effects.cpp:168
#37 0x00007f125413627d in KWin::Scene::paintScreen (this=0x10a60a0, mask=0x7ffff6bd699c, region=0x7ffff6bd6ab0) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/scene.cpp:137
#38 0x00007f12541694e9 in KWin::SceneOpenGL::paint (this=0x10a60a0, damage=..., toplevels=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/scene_opengl.cpp:748
#39 0x00007f125414a3f9 in KWin::Workspace::performCompositing (this=0x7f1238008ae0) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/composite.cpp:454
#40 0x00007f1254177c75 in KWin::Workspace::qt_metacall (this=0x7f1238008ae0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff6bd6c50)
    at /usr/src/debug/kdebase-workspace-4.5.1/build/kwin/workspace.moc:583
#41 0x00007f1250767a1f in QMetaObject::activate (sender=0x7f1238008fa8, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3295
#42 0x00007f125076522e in QObject::event (this=0x7f1238008fa8, e=0x7ffff6bd73f0) at kernel/qobject.cpp:1212
#43 0x00007f124f9284d4 in QApplicationPrivate::notify_helper (this=0x633460, receiver=0x7f1238008fa8, e=0x7ffff6bd73f0) at kernel/qapplication.cpp:4302
#44 0x00007f124f930aca in QApplication::notify (this=<value optimized out>, receiver=0x7f1238008fa8, e=0x7ffff6bd73f0) at kernel/qapplication.cpp:4185
#45 0x00007f12538bc1e6 in KApplication::notify (this=0x7ffff6bd7900, receiver=0x7f1238008fa8, event=0x7ffff6bd73f0) at /usr/src/debug/kdelibs-4.5.1/kdeui/kernel/kapplication.cpp:310
#46 0x00007f1250753e4c in QCoreApplication::notifyInternal (this=0x7ffff6bd7900, receiver=0x7f1238008fa8, event=0x7ffff6bd73f0) at kernel/qcoreapplication.cpp:726
#47 0x00007f125077f0c9 in sendEvent (this=0x633e50) at kernel/qcoreapplication.h:215
#48 QTimerInfoList::activateTimers (this=0x633e50) at kernel/qeventdispatcher_unix.cpp:618
#49 0x00007f125077f8c0 in QEventDispatcherUNIX::processEvents (this=0x612010, flags=...) at kernel/qeventdispatcher_unix.cpp:939
#50 0x00007f124f9c9cbc in QEventDispatcherX11::processEvents (this=0x612010, flags=...) at kernel/qeventdispatcher_x11.cpp:152
#51 0x00007f1250753292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#52 0x00007f1250753495 in QEventLoop::exec (this=0x7ffff6bd7840, flags=...) at kernel/qeventloop.cpp:201
#53 0x00007f125075788b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#54 0x00007f1254176374 in kdemain (argc=<value optimized out>, argv=0x7ffff6bd7900) at /usr/src/debug/kdebase-workspace-4.5.1/kwin/main.cpp:531
#55 0x00007f1253d6db7d in __libc_start_main () from /lib64/libc.so.6
#56 0x0000000000400699 in _start () at ../sysdeps/x86_64/elf/start.S:113

Reported using DrKonqi
Comment 1 Thomas Lübking 2010-09-30 14:50:56 UTC
*** Bug 252824 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Lübking 2010-09-30 15:04:08 UTC
crashes in glClear( GL_COLOR_BUFFER_BIT ), most likely because there's no valid ontext, because the intel drivers and/or mesa (i frankly don't know/recall who's to blame here) have _serious_ problems handling multiple contexts/contexts on non-window drawables (in this, this is related to the mighty freeze bug #241402 ...)

Notice that "resolved upstream" does not mean that there's a fixed driver available atm. but just that the bug won't/cant be fixed in kwin.
in this particular case there might be a workaround available as discussed in #241402
Comment 3 Martin Flöser 2010-09-30 17:56:02 UTC
As the crash trace is rather good I would like to ask you to report the bug 
again on bugs.freedesktop.org for the intel driver. Thanks
Comment 4 Kevin Adler 2010-09-30 19:42:45 UTC
Opened upstream bug: https://bugs.freedesktop.org/show_bug.cgi?id=30509
Comment 5 Thomas Lübking 2010-11-05 15:58:00 UTC
*** Bug 256128 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Lübking 2010-11-17 15:12:04 UTC
*** Bug 257115 has been marked as a duplicate of this bug. ***
Comment 7 Thomas Lübking 2011-01-25 16:32:13 UTC
*** Bug 264258 has been marked as a duplicate of this bug. ***
Comment 8 Thomas Lübking 2011-01-27 18:56:13 UTC
*** Bug 246892 has been marked as a duplicate of this bug. ***
Comment 9 Thomas Lübking 2011-01-27 18:56:47 UTC
*** Bug 246960 has been marked as a duplicate of this bug. ***
Comment 10 Thomas Lübking 2011-01-27 18:56:58 UTC
*** Bug 264493 has been marked as a duplicate of this bug. ***
Comment 11 Alexander 2011-01-27 20:48:49 UTC
I spend two days for debug this issue. Mesa function glXSwapBuffers is buggy for i945 and i965. This function is used just once in kwin in scene_opengl.cpp, flushBuffer(...) {
....
 if( mask & PAINT_SCREEN_REGION ) { do region updating}
 else { // do fullscreen updating
  waitSync();
  glXSwapBuffers( display(), glxbuffer ); 
 }
}

I changed glXSwapBuffers( display(), glxbuffer ) with 
glXCopySubBuffer( display(), glxbuffer, 0, 0, displayWidth(), displayHeight());
and the bug disappeared for me. Please test it.
Comment 12 Martin Flöser 2011-01-27 20:56:23 UTC
> This function is used just once in kwin in
> scene_opengl.cpp
The number of occurrances does not say much. That code is executed in each 
fullscreen rendered frame (e.g. present windows, login, logout, desktop grid, 
cover switch...)
> I changed glXSwapBuffers( display(), glxbuffer ) with
> glXCopySubBuffer( display(), glxbuffer, 0, 0, displayWidth(),
> displayHeight()); and the bug disappeared for me. Please test it.
We will definatly not change the code to workaround it - sorry. If it is 
broken in the drivers, it has to be fixed in the drivers.
Comment 13 Alexander 2011-01-27 21:24:13 UTC
Hope they'll fix it quickly. I am waiting for working full-screen flash for 1.5 years. 

Thanks
Comment 14 Thomas Lübking 2011-01-27 21:27:32 UTC
(In reply to comment #12)
> > This function is used just once in kwin in scene_opengl.cpp
is it really the source of /this/ particular backtrace that occurs in a complete different location than glXSwapBuffers?

In case this might be a /very/ valuable information for the driver developers and should definitely be fixed there, since a constant glClear/glXSwapBuffer cycle is probably one of the most occurring GL code statements.
Comment 15 Alexander 2011-01-27 22:37:58 UTC
I don't have the same backtrace. I have a backtrace like Magnus Kessler's one at https://bugs.freedesktop.org/show_bug.cgi?id=30509, but all backtraces I have was very different. All crashes occurs when there was a full-screen application(like flash or wine game) and another window is appears.

For some reason internal structs of mesa become damaged(render buffer's pointer for a region become 0) after glXSwapBuffers. Some mesa functions(like prepare_wm_surfaces) were not expecting it and crash kwin.

Chris Wilson has added the non-null region pointer check for intelClearWithBlit function, so I not saw first backtrace. I made all functions to work with structs damaged this way, kwin stopped segfaulting, but, instead, it became very unstable(black screen, mouse pointer freezing, flickering, etc).

I am trying to understand why structs damaging.
Comment 16 Thomas Lübking 2011-01-27 22:44:19 UTC
(In reply to comment #15)
> I don't have the same backtrace. I have a backtrace like Magnus Kessler's one
> at https://bugs.freedesktop.org/show_bug.cgi?id=30509
No, that's another -likely unrelated- bug :-(

> All crashes occurs when there was a full-screen
yes - reasonable, but not related to this issue at all.

> I am trying to understand why structs damaging.
nullpointers are not exactly "damaged" like "dangeling pointers" but can be valid states, they might however require different treatment (reallocation or whatever) than a simple 
"if (!pointer) return;"
Comment 17 Alexander 2011-01-28 21:51:35 UTC
I think that the two backtraces are consequences of one bug. Because
1) Developers marked my bug https://bugs.freedesktop.org/show_bug.cgi?id=33496 as a duplicate for 30509 and 30509 has the same backtrace as this.
2) Here is a patch for the first backtrace:
+  if (irb == NULL || irb->region == NULL)
+     goto clear_bit;
+
Here is code, that causes a segfault in my backtrace:
 irb = intel_get_renderbuffer(fb, buf);
 struct gl_renderbuffer *rb = ctx->DrawBuffer->_ColorDrawBuffers[i];
 struct intel_renderbuffer *irb = intel_renderbuffer(rb); 
 struct intel_region *region = irb ? irb->region : NULL; 

 brw_add_validated_bo(brw, region->buffer); // irb->region == 0 -> crash

There is one simple way to figure this out - apply proposed patch and check if each bug if gone. I'll be happy if someone check it.

---
I am logging most activity of kwin, mesa and libdrm and found that a mesa's function intel_region_alloc_for_handle unexpectedly returns NULL. I'll going to talk about it with upstream.
Comment 18 Thomas Lübking 2011-02-10 14:21:28 UTC
*** Bug 265960 has been marked as a duplicate of this bug. ***
Comment 19 Martin Flöser 2011-02-12 14:12:51 UTC
*** Bug 266132 has been marked as a duplicate of this bug. ***
Comment 20 Thomas Lübking 2011-02-16 15:06:12 UTC
*** Bug 266416 has been marked as a duplicate of this bug. ***
Comment 21 Thomas Lübking 2011-03-08 15:58:01 UTC
*** Bug 267939 has been marked as a duplicate of this bug. ***
Comment 22 Thomas Lübking 2011-03-09 20:52:04 UTC
*** Bug 268027 has been marked as a duplicate of this bug. ***
Comment 23 Thomas Lübking 2011-03-09 20:53:47 UTC
at least the last dupe is on a radeon chip...
Comment 24 Thomas Lübking 2011-03-11 13:55:54 UTC
...and seems just a different bug deep down in the ubuntu "natty" mesa version - no real dupe
Comment 25 Thomas Lübking 2011-03-12 22:18:44 UTC
*** Bug 268321 has been marked as a duplicate of this bug. ***
Comment 26 Martin Flöser 2011-03-13 18:37:42 UTC
*** Bug 268394 has been marked as a duplicate of this bug. ***
Comment 27 Thomas Lübking 2011-03-15 22:25:13 UTC
*** Bug 268589 has been marked as a duplicate of this bug. ***
Comment 28 Nikola Schnelle 2011-03-19 11:26:08 UTC
I have been testing and these are my findings:

Mesa 7.9 classic - no kwin crashes
Mesa 7.11-devel classic - no kwin crashes
Mesa 7.10.1 gallium (natty default) - kwin crashes whenever you change window decoration, color scheme, turn on/off effect, turn on/off vsync etc.

So problem seems to be in Mesa 7.10.1 gallium.

All these tests are performed on KDE 4.6.1 with radeon driver.
Comment 29 Thomas Lübking 2011-03-24 18:15:17 UTC
*** Bug 269314 has been marked as a duplicate of this bug. ***
Comment 30 anderlia 2011-03-24 21:35:20 UTC
wrt comment #28, i experienced exactly the same crash as initially submitted when returning from flash full screen in Chrome albeit I have Mesa 7.9 installed (i915 Intel driver 2.14.901 running with KDE 4.6.1). Did not try with Mesa 7.11 version.
Comment 31 Nikola Schnelle 2011-03-25 20:11:22 UTC
Now I am on Mesa 7.10.1 classic and no crashes.

So problem is 100% in gallium driver.
Comment 32 Martin Flöser 2011-03-27 08:30:54 UTC
*** Bug 269504 has been marked as a duplicate of this bug. ***
Comment 33 Martin Flöser 2011-03-27 19:19:47 UTC
*** Bug 269562 has been marked as a duplicate of this bug. ***
Comment 34 Thomas Lübking 2011-04-01 19:27:39 UTC
*** Bug 269889 has been marked as a duplicate of this bug. ***
Comment 35 Thomas Lübking 2011-04-01 19:39:38 UTC
*** Bug 269891 has been marked as a duplicate of this bug. ***
Comment 36 Martin Flöser 2011-04-01 21:00:22 UTC
*** Bug 269895 has been marked as a duplicate of this bug. ***
Comment 37 kkn 2011-04-02 14:19:20 UTC
Created attachment 58518 [details]
New crash information added by DrKonqi

kwin (4.6.00 (4.6.0) "release 6") on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:

Youtube fullscreen in flash mode from chromium browser.

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x7169e0, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007ffeb9b3b2d4 in intelClearWithBlit (ctx=0x7169e0, mask=2) at intel_blit.c:262
#8  0x00007ffeb9b3d7da in intelClear (ctx=0x7169e0, mask=2) at intel_clear.c:177
#9  0x00007ffed1bfa625 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene_opengl.cpp:921
#10 0x00007ffed1bf1d96 in KWin::Scene::paintGenericScreen (this=0x6f9170, orig_mask=40) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene.cpp:188
Comment 38 Christoph Feck 2011-04-02 15:13:32 UTC
*** Bug 269938 has been marked as a duplicate of this bug. ***
Comment 39 Martin Flöser 2011-04-04 22:11:30 UTC
*** Bug 270099 has been marked as a duplicate of this bug. ***
Comment 40 Martin Flöser 2011-04-10 08:41:25 UTC
*** Bug 270557 has been marked as a duplicate of this bug. ***
Comment 41 mop 2011-04-12 00:09:14 UTC
Created attachment 58813 [details]
New crash information added by DrKonqi

kwin (4.6.00 (4.6.0) "release 6") on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

watched flash fullscreen, intel i3 graphic

-- Backtrace (Reduced):
#7  intel_region_buffer (intel=0x81229a0, region=0x0, flag=2) at intel_regions.c:514
#8  0xaf48816a in intelClearWithBlit (ctx=0x81229a0, mask=2) at intel_blit.c:262
#9  0xaf48a90d in intelClear (ctx=0x81229a0, mask=2) at intel_clear.c:177
#10 0xaf688698 in _mesa_Clear (mask=<value optimized out>) at main/clear.c:241
#11 0xb76ddebb in KWin::SceneOpenGL::paintBackground (this=0x8155c18, region=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene_opengl.cpp:921
Comment 42 Thomas Lübking 2011-04-16 23:42:25 UTC
*** Bug 271088 has been marked as a duplicate of this bug. ***
Comment 43 Ian Pilcher 2011-04-19 07:03:54 UTC
Check out https://bugs.freedesktop.org/show_bug.cgi?id=32534 for my analysis
of how the region-less intel_renderbuffers get created.  The net is that
something is closing the last handle to a GEM object and then trying to
retrieve it with a "name" that is no longer valid (because the object is
garbage collected when the last handle that references it is closed).
glXSwapBuffers
Mesa is swallowing the error and creating unusable renderbuffers, rather than
properly bubbling it up the stack.  (The "fallback" that was added with commit
13bab58f04c1ec6d0d52760eab490a0997d9abe2 simply defers the crash in this case.)

I suspect that the race is somehow related to glXSwapBuffers.  If I attach to
KWin with gdb and set a breakpoint in glXSwapBuffers, I am unable to
reproduce my crash (unlocking GLMatrix).  I am not 100% sure of this,
however; the race condition combined with the fact that the crash occurs
some time after the actual problem is making this incredibly difficult to
debug.

Any suggestions would be welcome.
Comment 44 Thomas Lübking 2011-04-21 06:53:22 UTC
*** Bug 271396 has been marked as a duplicate of this bug. ***
Comment 45 Thomas Lübking 2011-04-21 23:15:25 UTC
*** Bug 271452 has been marked as a duplicate of this bug. ***
Comment 46 Martin Flöser 2011-04-23 19:06:02 UTC
*** Bug 271574 has been marked as a duplicate of this bug. ***
Comment 47 Ian Pilcher 2011-04-24 03:48:37 UTC
It looks like the patch at
http://lists.x.org/archives/xorg-devel/2011-March/020716.html may solve my
KDE/OpenGL screensaver crash.
Comment 48 Toralf Förster 2011-04-26 11:19:35 UTC
(In reply to comment #47)
> It looks like the patch at
> http://lists.x.org/archives/xorg-devel/2011-March/020716.html may solve my
> KDE/OpenGL screensaver crash.

me too :-)
Comment 49 Thomas Lübking 2011-04-27 22:17:56 UTC
*** Bug 271873 has been marked as a duplicate of this bug. ***
Comment 50 Martin Flöser 2011-04-28 09:54:31 UTC
*** Bug 271905 has been marked as a duplicate of this bug. ***
Comment 51 Martin Flöser 2011-04-29 11:59:52 UTC
*** Bug 271964 has been marked as a duplicate of this bug. ***
Comment 52 Martin Flöser 2011-04-29 22:49:44 UTC
*** Bug 272011 has been marked as a duplicate of this bug. ***
Comment 53 Valentin Rusu 2011-04-29 23:37:39 UTC
Created attachment 59445 [details]
New crash information added by DrKonqi

kwin (4.6.00 (4.6.0) "release 6") on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:

I was switchint from a window to another by mouse clicking the window title.

-- Backtrace (Reduced):
#7  intel_region_buffer (intel=0x8137350, region=0x0, flag=2) at intel_regions.c:514
#8  0xaf39216a in intelClearWithBlit (ctx=0x8137350, mask=2) at intel_blit.c:262
#9  0xaf39490d in intelClear (ctx=0x8137350, mask=2) at intel_clear.c:177
#10 0xaf592698 in _mesa_Clear (mask=<value optimized out>) at main/clear.c:241
#11 0xb76ddebb in KWin::SceneOpenGL::paintBackground (this=0x8132760, region=...) at /usr/src/debug/kdebase-workspace-4.6.0/kwin/scene_opengl.cpp:921
Comment 54 Martin Flöser 2011-04-30 09:14:56 UTC
*** Bug 272021 has been marked as a duplicate of this bug. ***
Comment 55 Thomas Lübking 2011-04-30 18:50:28 UTC
*** Bug 272069 has been marked as a duplicate of this bug. ***
Comment 56 Thomas Lübking 2011-04-30 23:56:45 UTC
*** Bug 272102 has been marked as a duplicate of this bug. ***
Comment 57 Thomas Lübking 2011-05-01 00:31:20 UTC
*** Bug 272106 has been marked as a duplicate of this bug. ***
Comment 58 Thomas Lübking 2011-05-01 08:52:13 UTC
*** Bug 272118 has been marked as a duplicate of this bug. ***
Comment 59 Thomas Lübking 2011-05-02 13:30:58 UTC
*** Bug 272201 has been marked as a duplicate of this bug. ***
Comment 60 Thomas Lübking 2011-05-03 11:43:41 UTC
*** Bug 272304 has been marked as a duplicate of this bug. ***
Comment 61 Martin Flöser 2011-05-03 19:36:41 UTC
*** Bug 272323 has been marked as a duplicate of this bug. ***
Comment 62 Martin Flöser 2011-05-03 19:36:56 UTC
*** Bug 272331 has been marked as a duplicate of this bug. ***
Comment 63 Martin Flöser 2011-05-03 19:38:51 UTC
(In reply to comment #47)
> It looks like the patch at
> http://lists.x.org/archives/xorg-devel/2011-March/020716.html may solve my
> KDE/OpenGL screensaver crash.
I am not so sure about it being the cure for this problem. Since the release of Natty, we got quite some duplicates and Kubuntu disables unredirection of fullscreen windows by default.
Comment 64 Thomas Lübking 2011-05-04 15:34:54 UTC
*** Bug 272448 has been marked as a duplicate of this bug. ***
Comment 65 Thomas Lübking 2011-05-04 23:06:27 UTC
*** Bug 272484 has been marked as a duplicate of this bug. ***
Comment 66 romko.ua 2011-05-05 12:41:45 UTC
Created attachment 59654 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed: exit flash online video fullscreen mode in chromium browser

- Custom settings of the application: nothing

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x2336210, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007ff49eb5d6c2 in intelClearWithBlit (ctx=0x2336210, mask=2) at intel_blit.c:262
#8  0x00007ff49eb5fd2a in intelClear (ctx=0x2336210, mask=2) at intel_clear.c:177
#9  0x00007ff4bbfdfce7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007ff4bbfd788f in KWin::Scene::paintGenericScreen (this=0x231d740, orig_mask=40) at ../../kwin/scene.cpp:188
Comment 67 Thomas Lübking 2011-05-05 14:35:36 UTC
*** Bug 272506 has been marked as a duplicate of this bug. ***
Comment 68 Thomas Lübking 2011-05-05 14:36:26 UTC
*** Bug 272524 has been marked as a duplicate of this bug. ***
Comment 69 Martin Flöser 2011-05-05 19:30:54 UTC
Please stop adding backtraces to this report! There is nothing we can do about it! It is a driver 
bug and you are just spamming the wrong bugtracker!
Comment 70 maurizio 2011-05-06 14:01:28 UTC
I am really sorry if I spammed. It was unintentional. I was not aware
I was doing it.  Could you tell me how to stop it? Is it in the Yast
settings?

Maurizio Rondelli

On 5 May 2011, at 18:43, Martin Gräßlin <mgraesslin@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=252817
>
>
>
>
>
> --- Comment #69 from Martin Gräßlin <mgraesslin kde org>  2011-05-05 19:30:54 ---
> Please stop adding backtraces to this report! There is nothing we can do about
> it! It is a driver
> bug and you are just spamming the wrong bugtracker!
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 71 Martin Flöser 2011-05-06 20:51:50 UTC
*** Bug 272646 has been marked as a duplicate of this bug. ***
Comment 72 Martin Flöser 2011-05-07 08:08:34 UTC
*** Bug 272676 has been marked as a duplicate of this bug. ***
Comment 73 Martin Flöser 2011-05-07 12:15:20 UTC
*** Bug 272690 has been marked as a duplicate of this bug. ***
Comment 74 Thomas Lübking 2011-05-07 14:24:28 UTC
*** Bug 272696 has been marked as a duplicate of this bug. ***
Comment 75 Martin Flöser 2011-05-07 15:10:32 UTC
*** Bug 272699 has been marked as a duplicate of this bug. ***
Comment 76 Thomas Lübking 2011-05-07 15:39:48 UTC
*** Bug 272704 has been marked as a duplicate of this bug. ***
Comment 77 Thomas Lübking 2011-05-07 21:17:46 UTC
*** Bug 272726 has been marked as a duplicate of this bug. ***
Comment 78 Thomas Lübking 2011-05-07 21:18:03 UTC
*** Bug 272727 has been marked as a duplicate of this bug. ***
Comment 79 Thomas Lübking 2011-05-08 00:16:21 UTC
*** Bug 272745 has been marked as a duplicate of this bug. ***
Comment 80 Anthony Foglia 2011-05-08 18:13:22 UTC
Created attachment 59774 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I just got a similar crash, while watching a full screen Flash video, launched from Firefox 4.  The crash occurred when the video ended and I exitted full screen video mode.

-- Backtrace (Reduced):
#6  0x00007fd8d2d920a0 in intel_region_buffer () from /usr/lib/dri/i965_dri.so
#7  0x00007fd8d2d856c2 in intelClearWithBlit () from /usr/lib/dri/i965_dri.so
[...]
#9  0x00007fd8eb0f4ce7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007fd8eb0ec88f in KWin::Scene::paintGenericScreen (this=0xd3c580, orig_mask=32) at ../../kwin/scene.cpp:188
#11 0x00007fd8eb0e9c7a in KWin::Scene::finalPaintScreen (this=0xd3c580, mask=32, region=<value optimized out>, data=<value optimized out>) at ../../kwin/scene.cpp:178
Comment 81 Thomas Lübking 2011-05-09 02:28:08 UTC
*** Bug 272826 has been marked as a duplicate of this bug. ***
Comment 82 Thomas Lübking 2011-05-09 11:59:09 UTC
*** Bug 272829 has been marked as a duplicate of this bug. ***
Comment 83 Thomas Lübking 2011-05-09 16:34:41 UTC
*** Bug 272846 has been marked as a duplicate of this bug. ***
Comment 84 anderlia 2011-05-09 22:11:07 UTC
As an answer to Martin's last blog (On Stability) about the major problem in Intel/Mesa driver, I have a workaround that works so far on my T400: go to Desktop Effects in System Settings > Advanced tab > uncheck 'suspend desktop effects for full-screen' (this may give a hint for developpers as the crash appears in fullscreen mode when desktop effects are resumed, e.g. upon a KDE notification or after fullscreen mode exit ... but i'm not a geek). I'm running Kubuntu Natty 11.04 with KDE 4.6.2 and xserver-xorg-video-intel 2.14 (the Natty official one). With Maverick 10.10, I used to subscribe to ppa:callegar/xorg repository with page flipping disabled in xserver-xorg-core, but it has not been built yet for Natty (expected in a week or two).

Now, coming back to your concern Martin, my KDE 4.6.2 is very very stable (apart from this serious issue). I did not experience any pb so far. Be proud of your work!
Comment 85 Thomas Lübking 2011-05-09 23:33:25 UTC
comment #84 supports comment #43 and invalidates the assumtion in comment #63 (apparently unredirection is invoked (and not defaulted off in ubuntu anymore?)

@anderlia
can you do a semi-geek think, run konsole and:

mv ~/.kde/share/config/kwinrc ~/.kde/share/config/kwinrc.bak
  (store your settings)

kcmshell kwincompositing
  -> check the 'suspend desktop effects for full-screen' setting and report its state
(NOTICE: all settings are defaulted - don't hit ok, just cancel out)

mv ~/.kde/share/config/kwinrc.bak ~/.kde/share/config/kwinrc
   (restore your settings)
Comment 86 anderlia 2011-05-10 08:04:18 UTC
@Thomas. I run the following set of commands on a terminal:
> mv ~/.kde/share/config/kwinrc ~/.kde/share/config/kwinrc.bak
> kcmshell kwincompositing
kbuildsycoca running...
Reusing existing ksycoca
>

At this stage, and before restoring my backup settings kwinrc.bak, I checked the 'desktop effects' settings > 'Advanced' tab > the 'suspend desktop effects for fullscreen windows' item is enabled again.
Comment 87 Thomas Lübking 2011-05-10 11:06:49 UTC
"never do stuff at late night" ;-)
it's "kcmshell4" and does nothing but open that dialog.

So it seems confirmed that Ubuntu does NOT patch the FS unredirection away and the return from the unredirection triggers the intel bug
Comment 88 anderlia 2011-05-10 15:42:29 UTC
@Thomas. I did again your test with kcmshell4 now, and got the same outcome as aforementioned, i.e. the 'suspend desktop effects for fullscreen windows' item was enabled again.
Comment 89 Martin Flöser 2011-05-10 17:11:07 UTC
I just started a Kubuntu Natty LiveCD in VirtualBox and yes unredirect fullscreen windows is 
now enabled by default.

If this issue is not fixed till 4.7, I'm going to change the default, given that we now have the better 
way of suspending compositing.
Comment 90 Thomas Lübking 2011-05-11 20:13:00 UTC
*** Bug 273066 has been marked as a duplicate of this bug. ***
Comment 91 Thomas Lübking 2011-05-11 22:26:39 UTC
*** Bug 273078 has been marked as a duplicate of this bug. ***
Comment 92 alan 2011-05-13 01:05:31 UTC
Created attachment 59949 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I was watching a streaming video in full screen. When i get out of full screen mode or if the screensaver apears, kwin crashes and the screen usually turns black or into a frame of the video i was watching.

-- Backtrace (Reduced):
#7  intel_region_buffer (intel=0x9844470, region=0x0, flag=2) at intel_regions.c:514
#8  0x04113ce2 in intelClearWithBlit (ctx=0x9844470, mask=2) at intel_blit.c:262
#9  0x041164c0 in intelClear (ctx=0x9844470, mask=2) at intel_clear.c:177
#10 0x04918512 in _mesa_Clear (mask=<value optimized out>) at main/clear.c:241
#11 0x0040584b in KWin::SceneOpenGL::paintBackground (this=0x9827a50, region=...) at ../../kwin/scene_opengl.cpp:921
Comment 93 Thomas Lübking 2011-05-14 02:50:01 UTC
*** Bug 273242 has been marked as a duplicate of this bug. ***
Comment 94 Martin Flöser 2011-05-14 08:37:12 UTC
*** Bug 273246 has been marked as a duplicate of this bug. ***
Comment 95 Carlo 2011-05-14 11:45:20 UTC
Created attachment 59988 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I was lookg a video in flash in Fullscreen.	
- Unusual behavior I noticed:
the screen turned into white and then back to the video. The video stopped and suddenly kwin crashed
- Custom settings of the application:
flash video in fullscreen

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x1e53780, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007f08e44146c2 in intelClearWithBlit (ctx=0x1e53780, mask=2) at intel_blit.c:262
#8  0x00007f08e4416d2a in intelClear (ctx=0x1e53780, mask=2) at intel_clear.c:177
#9  0x00007f08fc8e7ce7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007f08fc8df88f in KWin::Scene::paintGenericScreen (this=0x1e526d0, orig_mask=32) at ../../kwin/scene.cpp:188
Comment 96 Martin Flöser 2011-05-14 11:58:38 UTC
DO NOT ADD FURTHER COMMENTS TO THIS REPORT!

Repeat after me: this is a driver bug! The bug cannot be fixed in KDE! By adding further comments to this bug, you do not contribute to improve the software! By adding further comments to this bug, you are wasting my time!

Or in other words: the next one who adds another backtrace to this bug report, will get a visit from me and gets strangled.

DO NOT ADD FURTHER COMMENTS TO THIS REPORT!
Comment 97 Thomas Lübking 2011-05-14 17:29:52 UTC
*** Bug 273271 has been marked as a duplicate of this bug. ***
Comment 98 subcoolent 2011-05-15 07:31:15 UTC
Created attachment 60013 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

exited full screen view of movie from youtube.

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x255ab40, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007f3d8160b6c2 in intelClearWithBlit (ctx=0x255ab40, mask=2) at intel_blit.c:262
#8  0x00007f3d8160dd2a in intelClear (ctx=0x255ab40, mask=2) at intel_clear.c:177
#9  0x00007f3d9997ace7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007f3d9997288f in KWin::Scene::paintGenericScreen (this=0x2551ff0, orig_mask=32) at ../../kwin/scene.cpp:188
Comment 99 subcoolent 2011-05-15 07:36:40 UTC
Created attachment 60014 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I was writing a report for the same error. SO im pretty sure it is the same.

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x2098940, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007f6c9e2466c2 in intelClearWithBlit (ctx=0x2098940, mask=2) at intel_blit.c:262
#8  0x00007f6c9e248d2a in intelClear (ctx=0x2098940, mask=2) at intel_clear.c:177
#9  0x00007f6cb65b5ce7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007f6cb65ad88f in KWin::Scene::paintGenericScreen (this=0x2091d20, orig_mask=32) at ../../kwin/scene.cpp:188
Comment 100 Kevin Adler 2011-05-15 07:57:42 UTC
Does Dr. Konqui not show the comments on the bug report? Is that why people keep adding info to this bug?

Perhaps Dr. Konqui could be improved here so if people try to add info to a report that is marked as closed/resolved/etc... it will warn them, or something.

Also, with the number of duplicate reports and additional info reports from Dr. Konqui on this report, it seems like it should be pretty important for intel/mesa to fix, but doesn't seem to get much attention. Perhaps everyone that has ran in to this bug should go spam the freedesktop.org bug report so the driver bug gets fixed and Martin's head doesn't explode.

Thanks Martin, for all the work that you do and putting up with this bug report I opened.
Comment 101 Martin Flöser 2011-05-15 09:47:17 UTC
Git commit 30e7b302d1b0e787503e7088f7c7e53e66c07d08 by Martin Gräßlin.
Committed on 15/05/2011 at 09:40.
Pushed by graesslin into branch 'master'.

Disable Unredirect Fullscreen Windows by default

Well we don't have another choice if half of the drivers crash kwin
whenever you watch a fullscreen flash video or use a screen saver.
Unredirect Fullscreen Window was quite useful in case you used
to play heavy OpenGL games, but pretty useless for anything else.
For the game and hd video usecase we nowadays have the better way
of really suspending compositing (either by the client indicating or
with a window specific rule). The plus of suspending compositing is
that the driver doesn't crash.

And yes we are "supposed" to no longer workaround driver bugs.
Good joke, I like to redirect my inbox to everyone who things we
are not allowed to workaround driver bugs.

CCBUG: 252817

M  +2    -2    kwin/kcmkwin/kwincompositing/main.cpp     
M  +1    -1    kwin/options.cpp     

http://commits.kde.org/kde-workspace/30e7b302d1b0e787503e7088f7c7e53e66c07d08
Comment 102 Thilo Frueh 2011-05-15 14:49:40 UTC
Created attachment 60022 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed: i closed a tab in  firefox in wch i watched a flash video

-- Backtrace (Reduced):
#7  0x03afd2e0 in intel_region_buffer () from /usr/lib/dri/i965_dri.so
#8  0x03aeece2 in intelClearWithBlit () from /usr/lib/dri/i965_dri.so
[...]
#10 0x03bb7512 in _mesa_Clear () from /usr/lib/dri/libdricore.so
#11 0x001d984b in KWin::SceneOpenGL::paintBackground (this=0x8289de0, region=...) at ../../kwin/scene_opengl.cpp:921
#12 0x001d0562 in KWin::Scene::paintGenericScreen (this=0x8289de0, orig_mask=40) at ../../kwin/scene.cpp:188
Comment 103 subcoolent 2011-05-15 20:48:58 UTC
Created attachment 60041 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I closed from a full window environment with Chrome.

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x22fc890, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007fbe622c36c2 in intelClearWithBlit (ctx=0x22fc890, mask=2) at intel_blit.c:262
#8  0x00007fbe622c5d2a in intelClear (ctx=0x22fc890, mask=2) at intel_clear.c:177
#9  0x00007fbe7a632ce7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007fbe7a62a88f in KWin::Scene::paintGenericScreen (this=0x22f26a0, orig_mask=32) at ../../kwin/scene.cpp:188
Comment 104 Thomas Lübking 2011-05-17 13:20:54 UTC
*** Bug 273464 has been marked as a duplicate of this bug. ***
Comment 105 Martin Flöser 2011-05-17 17:37:41 UTC
*** Bug 273495 has been marked as a duplicate of this bug. ***
Comment 106 Thomas Lübking 2011-05-18 17:26:12 UTC
*** Bug 273553 has been marked as a duplicate of this bug. ***
Comment 107 Thomas Lübking 2011-05-19 01:11:27 UTC
*** Bug 273601 has been marked as a duplicate of this bug. ***
Comment 108 Thomas Lübking 2011-05-23 22:21:17 UTC
*** Bug 273989 has been marked as a duplicate of this bug. ***
Comment 109 Martin Flöser 2011-05-24 17:31:01 UTC
*** Bug 274042 has been marked as a duplicate of this bug. ***
Comment 110 Anthony Foglia 2011-06-03 08:39:35 UTC
(Sorry that this is a little off topic, but I wanted to make sure there was a record of the answer here.)

(In reply to comment #84)
> As an answer to Martin's last blog (On Stability) about the major problem in
> Intel/Mesa driver, I have a workaround that works so far on my T400: go to
> Desktop Effects in System Settings > Advanced tab > uncheck 'suspend desktop
> effects for full-screen' (this may give a hint for developpers as the crash
> appears in fullscreen mode when desktop effects are resumed, e.g. upon a KDE
> notification or after fullscreen mode exit ... but i'm not a geek). I'm running
> Kubuntu Natty 11.04 with KDE 4.6.2 and xserver-xorg-video-intel 2.14 (the Natty
> official one). With Maverick 10.10, I used to subscribe to ppa:callegar/xorg
> repository with page flipping disabled in xserver-xorg-core, but it has not
> been built yet for Natty (expected in a week or two).

I have a question about your "workaround."  It does work, in the sense that going to full-screen flash videos and back doesn't crash kwin.  But it doesn't play the full flash video either.  Instead I got just the YouTube video controls over a black screen.  I'm using a wrapped version of 32-bit 10.3 flash on a 64-bit firefox, if that matters.

Just a confirmation or denial will be fine.  I don't want this bug report to become a flash debugging thread.
Comment 111 anderlia 2011-06-03 09:13:08 UTC
@Anthony: Didn't see your pb so far on my laptop, at least since 11.04 upgrade: flash fullscreen mode now works flawlessly. I did notice a few months ago (Maverick 10.10/KDE 4.6.2 with previous xserver-xorg-core, xserver-xorg-video-intel and flash plugin versions) that some flash videos did not appear fullscreen from time to time, and a black screen was displayed instead. Yet, the occurence of this issue was a bit erratic (not with every site, meaning it used to depend on the specific embedded flash video player), and I was able to fix it by reloading the HTTP page and triggering again the fullscreen mode. Seems your issue is more related to the flash plugin. FYI, I'm using flashplugin-installer 10.3.181.14ubuntu0.11.04.1, xserver-xorg-core 2:1.10.1-1ubuntu1.1 and xserver-xorg-video-intel 2:2.14.0-4ubuntu7.1 with an Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07). Hope these info will be helpful.
Comment 112 Martin Flöser 2011-06-05 09:42:00 UTC
*** Bug 274967 has been marked as a duplicate of this bug. ***
Comment 113 Thomas Lübking 2011-06-08 11:03:55 UTC
*** Bug 275176 has been marked as a duplicate of this bug. ***
Comment 114 Thomas Lübking 2011-06-08 15:24:26 UTC
*** Bug 275202 has been marked as a duplicate of this bug. ***
Comment 115 backslashn 2011-06-11 01:18:19 UTC
Created attachment 60873 [details]
New crash information added by DrKonqi

kwin (4.6.4 (4.6.4)) on KDE Platform 4.6.4 (4.6.4) using Qt 4.7.2

- What I was doing when the application crashed:
Exiting a flash video in full screen mode
- Unusual behavior I noticed:
Don't know if it's linked but when I increase the volume or the lighting using multimedia keys, the video played in full screen is flashing (whatever the player: flash, SMPlayer, VLC...)

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x184a5c0, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007f2715efd6c2 in intelClearWithBlit (ctx=0x184a5c0, mask=2) at intel_blit.c:262
#8  0x00007f2715effd2a in intelClear (ctx=0x184a5c0, mask=2) at intel_clear.c:177
#9  0x00007f272e275c47 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007f272e26d7ef in KWin::Scene::paintGenericScreen (this=0x183d950, orig_mask=40) at ../../kwin/scene.cpp:188
Comment 116 Martin Flöser 2011-06-12 15:51:06 UTC
*** Bug 275473 has been marked as a duplicate of this bug. ***
Comment 117 Martin Flöser 2011-06-12 16:20:07 UTC
*** Bug 275478 has been marked as a duplicate of this bug. ***
Comment 118 Martin Flöser 2011-06-13 09:43:30 UTC
*** Bug 275525 has been marked as a duplicate of this bug. ***
Comment 119 Martin Flöser 2011-06-15 18:01:26 UTC
*** Bug 275741 has been marked as a duplicate of this bug. ***
Comment 120 Martin Flöser 2011-06-18 15:03:25 UTC
*** Bug 275979 has been marked as a duplicate of this bug. ***
Comment 121 Martin Flöser 2011-06-18 22:09:02 UTC
*** Bug 255094 has been marked as a duplicate of this bug. ***
Comment 122 Martin Flöser 2011-06-20 22:37:02 UTC
*** Bug 276152 has been marked as a duplicate of this bug. ***
Comment 123 Thomas Lübking 2011-06-25 22:39:51 UTC
*** Bug 276484 has been marked as a duplicate of this bug. ***
Comment 124 Thomas Lübking 2011-06-27 14:39:08 UTC
*** Bug 276588 has been marked as a duplicate of this bug. ***
Comment 125 Martin Flöser 2011-06-28 15:23:34 UTC
*** Bug 276695 has been marked as a duplicate of this bug. ***
Comment 126 Thomas Lübking 2011-06-30 10:56:27 UTC
*** Bug 276797 has been marked as a duplicate of this bug. ***
Comment 127 Thomas Lübking 2011-06-30 21:55:22 UTC
*** Bug 276860 has been marked as a duplicate of this bug. ***
Comment 128 Martin Flöser 2011-07-06 15:16:25 UTC
*** Bug 277203 has been marked as a duplicate of this bug. ***
Comment 129 gjtunley 2011-07-08 20:16:31 UTC
Created attachment 61713 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed: HP EliteBook 6930p resuming from suspend - typed password and when screen resumed KWin had crashed

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x7cf590, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007f2920cd66c2 in intelClearWithBlit (ctx=0x7cf590, mask=2) at intel_blit.c:262
#8  0x00007f2920cd8d2a in intelClear (ctx=0x7cf590, mask=2) at intel_clear.c:177
#9  0x00007f293e15bce7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007f293e15388f in KWin::Scene::paintGenericScreen (this=0x7ca480, orig_mask=40) at ../../kwin/scene.cpp:188
Comment 130 Martin Flöser 2011-07-10 10:31:55 UTC
*** Bug 277463 has been marked as a duplicate of this bug. ***
Comment 131 Igor 2011-07-10 17:34:17 UTC
Created attachment 61764 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- Unusual behavior I noticed:
Everytime i try to watch a html5 video in fullscren or even a flash video in fullscreen it crashs.
It has occurred with youtube videos and also videos from TED website.

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x1cc8c60, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007f8cfd0366c2 in intelClearWithBlit (ctx=0x1cc8c60, mask=2) at intel_blit.c:262
#8  0x00007f8cfd038d2a in intelClear (ctx=0x1cc8c60, mask=2) at intel_clear.c:177
#9  0x00007f8d1578ace7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007f8d1578288f in KWin::Scene::paintGenericScreen (this=0x1cc6ca0, orig_mask=40) at ../../kwin/scene.cpp:188
Comment 132 Thomas Lübking 2011-07-12 14:12:27 UTC
*** Bug 277623 has been marked as a duplicate of this bug. ***
Comment 133 Thomas Lübking 2011-07-14 10:28:18 UTC
*** Bug 277753 has been marked as a duplicate of this bug. ***
Comment 134 Martin Flöser 2011-07-16 08:44:06 UTC
*** Bug 277880 has been marked as a duplicate of this bug. ***
Comment 135 Martin Flöser 2011-07-16 18:02:43 UTC
*** Bug 277899 has been marked as a duplicate of this bug. ***
Comment 136 Martin Flöser 2011-07-18 15:32:45 UTC
*** Bug 277972 has been marked as a duplicate of this bug. ***
Comment 137 Joseph F Polacko 2011-07-20 01:19:08 UTC
Created attachment 62003 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed: I had put the computer to sleep and when i resume it crashes...

-- Backtrace (Reduced):
#6  0x00007f90cfae80a0 in intel_region_buffer () from /usr/lib/dri/i965_dri.so
#7  0x00007f90cfadb6c2 in intelClearWithBlit () from /usr/lib/dri/i965_dri.so
[...]
#9  0x00007f90e7fb3ce7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007f90e7fab88f in KWin::Scene::paintGenericScreen (this=0x1ab5280, orig_mask=40) at ../../kwin/scene.cpp:188
#11 0x00007f90e7fa8c7a in KWin::Scene::finalPaintScreen (this=0x1ab5280, mask=40, region=<value optimized out>, data=<value optimized out>) at ../../kwin/scene.cpp:178
Comment 138 Martin Flöser 2011-07-23 08:11:27 UTC
*** Bug 278310 has been marked as a duplicate of this bug. ***
Comment 139 Martin Flöser 2011-07-23 20:39:37 UTC
*** Bug 278360 has been marked as a duplicate of this bug. ***
Comment 140 Thomas Lübking 2011-07-25 15:18:00 UTC
*** Bug 278470 has been marked as a duplicate of this bug. ***
Comment 141 Thomas Lübking 2011-07-25 19:53:51 UTC
*** Bug 278496 has been marked as a duplicate of this bug. ***
Comment 142 Martin Flöser 2011-07-27 15:20:59 UTC
*** Bug 278595 has been marked as a duplicate of this bug. ***
Comment 143 Helio Loureiro 2011-07-27 16:22:55 UTC
Created attachment 62244 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Running screensaver.

- Unusual behavior I noticed:
Recently upgraded to Ubuntu 11.4 (but running on top of KDE).

-- Backtrace (Reduced):
#8  0xafc59ac7 in brw_validate_state () from /usr/lib/dri/i965_dri.so
#9  0xafc47dfe in brw_draw_prims () from /usr/lib/dri/i965_dri.so
#10 0xafb0990f in vbo_exec_vtx_flush () from /usr/lib/dri/libdricore.so
#11 0xafb075c7 in vbo_exec_FlushVertices_internal () from /usr/lib/dri/libdricore.so
#12 0xafb077e0 in vbo_exec_FlushVertices () from /usr/lib/dri/libdricore.so
Comment 144 Martin Flöser 2011-07-27 16:27:38 UTC
Once again: it is completely pointless of adding further crash reports to this bug report. This is a DRIVER BUG! We cannot do anything in KWin to fix this bug except adding a workaround which we did in KDE Plasma Workspaces in version 4.7 which is going to be released today.

Please stop adding any further comments to this report. It's as useless as sending to /dev/null.
Comment 145 Thomas Lübking 2011-07-29 20:13:37 UTC
*** Bug 278796 has been marked as a duplicate of this bug. ***
Comment 146 Martin Flöser 2011-07-30 17:46:28 UTC
*** Bug 278873 has been marked as a duplicate of this bug. ***
Comment 147 Martin Flöser 2011-07-31 09:59:31 UTC
*** Bug 278919 has been marked as a duplicate of this bug. ***
Comment 148 Thomas Lübking 2011-07-31 22:57:22 UTC
*** Bug 278979 has been marked as a duplicate of this bug. ***
Comment 149 Martin Flöser 2011-08-02 07:20:12 UTC
*** Bug 279129 has been marked as a duplicate of this bug. ***
Comment 150 Thomas Lübking 2011-08-02 14:54:54 UTC
*** Bug 279167 has been marked as a duplicate of this bug. ***
Comment 151 Martin Flöser 2011-08-03 17:58:20 UTC
*** Bug 279310 has been marked as a duplicate of this bug. ***
Comment 152 J Queiroz 2011-08-08 20:41:17 UTC
Created attachment 62682 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Just came back from screensaver. This happens from time to time, with a good frequency.

-- Backtrace (Reduced):
#6  0x00007fe32b663403 in i915_emit_state (intel=0x93cec0) at i915_vtbl.c:312
#7  0x00007fe32b317565 in run_render (ctx=0x93cec0, stage=<value optimized out>) at tnl/t_vb_render.c:276
#8  0x00007fe32b30bbea in _tnl_run_pipeline (ctx=0x93cec0) at tnl/t_pipeline.c:153
#9  0x00007fe32b68c838 in intelRunPipeline (ctx=0x93cec0) at intel_tris.c:1075
#10 0x00007fe32b30cabc in _tnl_draw_prims (ctx=<value optimized out>, arrays=0x965da8, prim=0x9644c4, nr_prims=1, ib=0x0, min_index=<value optimized out>, max_index=3) at tnl/t_draw.c:518
Comment 153 Thomas Lübking 2011-08-14 08:20:56 UTC
*** Bug 280059 has been marked as a duplicate of this bug. ***
Comment 154 Martin Flöser 2011-08-16 15:45:45 UTC
*** Bug 280190 has been marked as a duplicate of this bug. ***
Comment 155 Thomas Lübking 2011-08-18 18:54:35 UTC
*** Bug 279514 has been marked as a duplicate of this bug. ***
Comment 156 Thomas Lübking 2011-08-19 12:24:51 UTC
*** Bug 280415 has been marked as a duplicate of this bug. ***
Comment 157 Martin Flöser 2011-08-21 06:29:52 UTC
*** Bug 280499 has been marked as a duplicate of this bug. ***
Comment 158 Martin Flöser 2011-08-23 04:24:44 UTC
*** Bug 280613 has been marked as a duplicate of this bug. ***
Comment 159 Martin Flöser 2011-08-24 16:08:37 UTC
*** Bug 280719 has been marked as a duplicate of this bug. ***
Comment 160 Martin Flöser 2011-08-24 17:29:22 UTC
*** Bug 280730 has been marked as a duplicate of this bug. ***
Comment 161 Thomas Lübking 2011-08-28 19:37:48 UTC
*** Bug 280954 has been marked as a duplicate of this bug. ***
Comment 162 Thomas Lübking 2011-08-30 20:17:17 UTC
*** Bug 281056 has been marked as a duplicate of this bug. ***
Comment 163 Thomas Lübking 2011-09-05 21:18:59 UTC
*** Bug 281428 has been marked as a duplicate of this bug. ***
Comment 164 Nicolas Religieux 2011-09-06 07:58:55 UTC
Created attachment 63431 [details]
New crash information added by DrKonqi

kwin (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I was unlocking the screen after a pause with the screensaver activated.

-- Backtrace (Reduced):
#6  intel_region_buffer (intel=0x1ed2130, region=0x0, flag=2) at intel_regions.c:514
#7  0x00007fe42d0fb6c2 in intelClearWithBlit (ctx=0x1ed2130, mask=2) at intel_blit.c:262
#8  0x00007fe42d0fdd2a in intelClear (ctx=0x1ed2130, mask=2) at intel_clear.c:177
#9  0x00007fe445473ce7 in KWin::SceneOpenGL::paintBackground (this=<value optimized out>, region=<value optimized out>) at ../../kwin/scene_opengl.cpp:921
#10 0x00007fe44546b88f in KWin::Scene::paintGenericScreen (this=0x1e67890, orig_mask=40) at ../../kwin/scene.cpp:188
Comment 165 Thomas Lübking 2011-09-18 13:39:45 UTC
*** Bug 282275 has been marked as a duplicate of this bug. ***
Comment 166 Thomas Lübking 2011-09-28 18:54:12 UTC
*** Bug 282981 has been marked as a duplicate of this bug. ***
Comment 167 Martin Flöser 2011-09-30 17:09:35 UTC
*** Bug 283096 has been marked as a duplicate of this bug. ***
Comment 168 Thomas Lübking 2011-10-06 22:04:21 UTC
*** Bug 283498 has been marked as a duplicate of this bug. ***
Comment 169 Alishams Hassam 2011-10-07 08:53:34 UTC
(In reply to comment #144)
> Once again: it is completely pointless of adding further crash reports to this
> bug report. This is a DRIVER BUG! We cannot do anything in KWin to fix this bug
> except adding a workaround which we did in KDE Plasma Workspaces in version 4.7
> which is going to be released today.
> 

Martin, as of KDE 4.7.1 on Ubuntu Natty I'm still effected by this bug. Would it be worth it to post a crash report from my system?
Comment 170 Martin Flöser 2011-10-07 20:39:52 UTC
*** Bug 283561 has been marked as a duplicate of this bug. ***
Comment 171 Thomas Lübking 2011-10-31 23:41:28 UTC
*** Bug 285432 has been marked as a duplicate of this bug. ***
Comment 172 Thomas Lübking 2011-11-13 15:46:03 UTC
*** Bug 280766 has been marked as a duplicate of this bug. ***
Comment 173 Thomas Lübking 2011-12-16 10:45:47 UTC
*** Bug 289102 has been marked as a duplicate of this bug. ***
Comment 174 Martin Flöser 2012-02-04 11:08:16 UTC
*** Bug 293281 has been marked as a duplicate of this bug. ***
Comment 175 Martin Flöser 2012-06-29 20:51:59 UTC
*** Bug 302764 has been marked as a duplicate of this bug. ***
Comment 176 Thomas Lübking 2012-07-23 14:39:59 UTC
*** Bug 301529 has been marked as a duplicate of this bug. ***
Comment 177 Thomas Lübking 2012-07-23 14:40:31 UTC
*** Bug 303961 has been marked as a duplicate of this bug. ***
Comment 178 Daniel O'Keefe 2012-07-23 16:27:03 UTC
update mesa  ...
...
...
...
...
...
...
...
...
...
...
...
...
...
...
...
...
...
...
...


-------------------------------------------------------


Sponsored links:
Rock Hard Erections. All New Formula
Attacks the Root Fast
www.capitolbird.org/pharma.html


________________________________
 From: Thomas Lübking  <thomas.luebking@gmail.com>
To: dano0955@yahoo.com 
Sent: Monday, July 23, 2012 10:40 AM
Subject: [Bug 252817] KWin crashes on intel/mesa glClear(GL_COLOR_BUFFER_BIT)
 
https://bugs.kde.org/show_bug.cgi?id=252817

Thomas Lübking <thomas.luebking@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |ahepas1999@gmail.com

--- Comment #177 from Thomas Lübking <thomas.luebking@gmail.com> ---
*** Bug 303961 has been marked as a duplicate of this bug. ***
Comment 179 Thomas Lübking 2012-07-25 08:13:04 UTC
*** Bug 304042 has been marked as a duplicate of this bug. ***
Comment 180 Jannis Liapis 2012-07-28 18:12:51 UTC
Created attachment 72806 [details]
New crash information added by DrKonqi

kwin (4.8.4 (4.8.4)) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:
My dell inspiron n5110 came out of sleep when this crash occured

-- Backtrace (Reduced):
#7  brw_update_renderbuffer_surface (brw=0x9e0c310, rb=0xa04bf88, unit=0) at brw_wm_surface_state.c:970
#8  0xaea6f7a3 in brw_update_renderbuffer_surfaces (brw=0x9e0c310) at brw_wm_surface_state.c:1066
#9  0xaea5825f in brw_upload_state (brw=0x9e0c310) at brw_state_upload.c:508
#10 0xaea3efef in brw_try_draw_prims (max_index=5, min_index=0, ib=0x0, nr_prims=1, prim=0xbfde8738, arrays=0xa278160, ctx=0x9e0c310) at brw_draw.c:482
#11 brw_draw_prims (ctx=0x9e0c310, prim=0xbfde8738, nr_prims=1, ib=0x0, index_bounds_valid=1 '\001', min_index=0, max_index=5, tfb_vertcount=0x0) at brw_draw.c:572
Comment 181 Thomas Lübking 2012-07-28 18:52:20 UTC
=====================================================================
IT IS COMPLETELY POINTLESS TO ADD FURTHER CRASH REPORTS TO THIS BUG.
=====================================================================

This is a *Driver Bug*.

We cannot do anything in KWin to fix this bug.

Recent versions have fullscreen unredirection disabled by default.
If you enabled it and encountered this bug, just disable it again - there is no other fix.

Open konsole and enter:
kwriteconfig --file kwinrc --group Compositing --key UnredirectFullscreen false
qdbus org.kde.kwin /KWin reconfigure
qdbus org.kde.kwin /KWin toggleCompositing
qdbus org.kde.kwin /KWin toggleCompositing


Or use systemsettings or "kcmshell4 kwincompositing" to configure it with a GUI
Comment 182 Martin Flöser 2012-08-02 19:28:20 UTC
*** Bug 304464 has been marked as a duplicate of this bug. ***
Comment 183 Martin Flöser 2012-08-12 08:43:18 UTC
*** Bug 305002 has been marked as a duplicate of this bug. ***
Comment 184 Martin Flöser 2012-09-04 16:34:36 UTC
*** Bug 306254 has been marked as a duplicate of this bug. ***
Comment 185 Thomas Lübking 2012-09-26 19:37:37 UTC
*** Bug 307442 has been marked as a duplicate of this bug. ***
Comment 186 Thomas Lübking 2012-11-13 16:36:19 UTC
*** Bug 310027 has been marked as a duplicate of this bug. ***
Comment 187 Kot Fantazer 2013-03-01 08:46:19 UTC
Kwin crashing when you select "disable visual effects for the full screen window" when starting stellarium.

When unselected option "disable visual effects for full-screen windows" does not crash

OS:  Linux 3.6.11-4.fc16.i686 i686
System:  Fedora release 16 (Verne)
KDE:  4.8.5 (4.8.5)
Comment 188 Kamil Roman 2013-03-22 22:46:47 UTC
A few updates:
1.  Disabling the fullscreen unredirection does not help any more.
2. A bug has been submited to mesa bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=58834
Comment 189 Martin Flöser 2013-03-30 10:15:26 UTC
*** Bug 317594 has been marked as a duplicate of this bug. ***
Comment 190 Thomas Lübking 2013-06-02 17:50:01 UTC
*** Bug 320624 has been marked as a duplicate of this bug. ***
Comment 191 Ben Cooksley 2013-06-15 04:47:51 UTC
Removing tyquas@msn.com per abuse report.
Comment 192 Thomas Lübking 2013-07-04 18:55:33 UTC
*** Bug 321959 has been marked as a duplicate of this bug. ***
Comment 193 Thomas Lübking 2013-07-11 13:01:41 UTC
*** Bug 322206 has been marked as a duplicate of this bug. ***
Comment 194 Thomas Lübking 2013-07-19 19:58:02 UTC
Git commit 9f7d825e5323dd25ece39d9af56d49318396ead2 by Thomas Lübking.
Committed on 10/07/2013 at 18:48.
Pushed by luebking into branch 'KDE/4.11'.

ignore unredirection configuration on intel

the only thing it does on these systems is cause users
trouble because usually when there's a client where
unredirection makes sense, that uses OpenGL - and then
things break in the driver.
REVIEW: 111476

M  +2    -0    kwin/eglonxbackend.cpp
M  +2    -0    kwin/glxbackend.cpp
M  +2    -0    kwin/options.cpp

http://commits.kde.org/kde-workspace/9f7d825e5323dd25ece39d9af56d49318396ead2
Comment 195 Alexander Mezin 2013-07-28 07:03:53 UTC
Please revert this.
It worked for me very well (Intel HD 3000). Also, without it I can't currently use DRI_PRIME.
Add a warning, don't enable it by default, but please, let me decide if I want this feature or not. Without patching.
Also, I prepared a patch that makes it less agressive (for example, fullscreen Flash videos aren't unredirected with it). I spent more than hour trying to figure out why shouldUnredirect() isn't called.
Comment 196 stefan 2013-07-28 09:03:13 UTC
Hey,

Just upgrade to the newer version of Kubuntu.
Works fine for me now.

Best,
S.

On 07/28/2013 09:03 AM, Alexander Mezin wrote:
> https://bugs.kde.org/show_bug.cgi?id=252817
>
> Alexander Mezin <mezin.alexander@gmail.com> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |mezin.alexander@gmail.com
>
> --- Comment #195 from Alexander Mezin <mezin.alexander@gmail.com> ---
> Please revert this.
> It worked for me very well (Intel HD 3000). Also, without it I can't currently
> use DRI_PRIME.
> Add a warning, don't enable it by default, but please, let me decide if I want
> this feature or not. Without patching.
> Also, I prepared a patch that makes it less agressive (for example, fullscreen
> Flash videos aren't unredirected with it). I spent more than hour trying to
> figure out why shouldUnredirect() isn't called.
>
Comment 197 Thomas Lübking 2013-07-28 10:53:23 UTC
(In reply to comment #195)
> Please revert this.
> Add a warning, don't enable it by default

It *is* disabled by default - what does not prevent people from happily activating it, because some guy in a random forum told them "it's the best trick ever" - and then report crashes in driver that resolve by "after disabling unredirection, bug is gone"

We basically (and actually for far too long) expose users to a feature, while knowing it will crash their WM more or less for sure.

> It worked for me very well (Intel HD 3000).
Since you mentioned DRI_PRIME, it will rather be some IGP-GPU briged system?

> Also, without it I can't currently use DRI_PRIME.
As far as i was told, DRI_PRIME does only work *with* redirection, ie. whenever you disable the compositor, the DRI_PRIME context paints nothing.
If it does NOT work redirected for you, the better solution to suspend compositing altogether is not affected.
Either (depending on redirection states) would probably a major bug in the prime handling, though.

> Also, I prepared a patch that makes it less agressive
The level of "aggression" is not relevant, esp. since you try to constrain it to the most problematic cases (override_redirect windows, assuming those are games, ie. likely will have a second GL context) - which overmore would largely benefit from simply turning the compositor off instead (frees memory, quits redirection/damage processing/conversion overhead)

What currently missing to do this from scripts is to have scripts informed when unmanaged windows are added, eventually resized to/from "fullscreen".
Comment 198 Alexander Mezin 2013-07-28 14:43:57 UTC
(In reply to comment #197)
> It *is* disabled by default - what does not prevent people from happily
> activating it, because some guy in a random forum told them "it's the best
> trick ever" - and then report crashes in driver that resolve by "after
> disabling unredirection, bug is gone"
Then add big red label in KCM: "This could cause crashes. Don't file bugs, you've been warned". Compositing could also cause problems with buggy drivers.

> We basically (and actually for far too long) expose users to a feature,
> while knowing it will crash their WM more or less for sure.
For me it NEVER crashed KWin or anything.

> > It worked for me very well (Intel HD 3000).
> Since you mentioned DRI_PRIME, it will rather be some IGP-GPU briged system?
Yes, but KWin is always running on Intel, and doesn't even know about Radeon.

> As far as i was told, DRI_PRIME does only work *with* redirection, ie.
> whenever you disable the compositor, the DRI_PRIME context paints nothing.
No, for me it paints black screen when compositing is enabled (without unredirection).

> If it does NOT work redirected for you, the better solution to suspend
> compositing altogether is not affected.
I can't find an option to automatically suspend compositing in KCM.
Instead there's now non-working (silently!) option for unredirection.

And... Mutter and Compiz now do unredirection by default. And seems that they don't crash too much.
Comment 199 Hello71 2013-07-28 14:50:29 UTC
(In reply to comment #198 as excerpted)
> (In reply to comment #197)
> > If it does NOT work redirected for you, the better solution to suspend
> > compositing altogether is not affected.
> I can't find an option to automatically suspend compositing in KCM.
> Instead there's now non-working (silently!) option for unredirection.

Put a rule in "Window Rules" (component "Window Behavior") selecting the window, then in "Appearance & Fixes" (last tab), set "Block compositing" to Force Yes.
Comment 200 Thomas Lübking 2013-07-28 15:02:39 UTC
(In reply to comment #198)

> Then add big red label in KCM:
kde-workspace is frozen. -> not before summer 2014 (iff at all)

> For me it NEVER crashed KWin or anything.
Lucky for you. Yet bugzilla suggests there's a problem.
Look at only the plain dupes of this one and feel free to search through bugzilla...

> Yes, but KWin is always running on Intel, and doesn't even know about Radeon.
Yes, but dri does. The crash is in the driver.

> No, for me it paints black screen when compositing is enabled (without
> unredirection).
So it works with suspended compositing as well?
 
> I can't find an option to automatically suspend compositing in KCM.
Because a general setting would be silly. Already was for unredirection.

(In reply to comment #199)
> Put a rule in "Window Rules" (component "Window Behavior") selecting the
> window, then in "Appearance & Fixes" (last tab), set "Block compositing" 

This will unfortunately not work with unmanaged windows (and for some strage reason most SDL games are; though i expect they will have to change if they still want to be "fullscreened" on wayland as well)

@Alex
You should have received a RR that enables controlling this via kwin scripts.

> Instead there's now non-working (silently!)
Yes, that's a bit unfortunate. We had to remove gl system detection from the settings because it occasionally caused (guess what) driver crashes (though iirc mostly amd) - killing the dialog or even systemsettings.

> And... Mutter and Compiz now do unredirection by default.
They're probably just better than kwin then.
Or will figure such things happen.
Comment 201 Alexander Mezin 2013-07-28 15:21:39 UTC
(In reply to comment #200)
> > I can't find an option to automatically suspend compositing in KCM.
> Because a general setting would be silly. Already was for unredirection.
Probably it won't.
http://standards.freedesktop.org/wm-spec/wm-spec-latest.html#idp6357888
https://git.reviewboard.kde.org/r/110088/
I think this could be a good "default" option, if you replace "unredirect" with "suspend".
Comment 202 Thomas Lübking 2013-07-28 16:04:26 UTC
(In reply to comment #201)
> (In reply to comment #200)
> > > I can't find an option to automatically suspend compositing in KCM.
> > Because a general setting would be silly. Already was for unredirection.
> Probably it won't.
> http://standards.freedesktop.org/wm-spec/wm-spec-latest.html#idp6357888

This is not about "a general setting" at all, but about a protocol.
The silly part about the *general* setting was that we treated konqueror and quake equally.

The _NET_WM_BYPASS_COMPOSITOR was actually somehow inspired by the (largely ignored) _KDE_NET_WM_BLOCK_COMPOSITING, so merging the atoms and deprecate _KDE_NET_WM_BLOCK_COMPOSITING certainly makes sense.
It will  require to move the blocking code from Client to Toplevel - does anything but (upcoming) SDL2 support it so far?

> https://git.reviewboard.kde.org/r/110088/
> I think this could be a good "default" option

The problem of this is that we don't get out of the "default" since there's no system in place to rule override_redirects (since they do not belong to WM or user)

The _NET_WM_BYPASS_COMPOSITOR tristate is a red herring: if special clients are not interested in saying: "1", why should regular clients be interested in saying "2"?
And why esp. those which are override_redirect and thus often don't set any properties at all?

The next problem is that unmanged windows are only matched "fullscreen" by their geometry, so if your imagebrowser opens a popup to preview the image and uses the maximum screen area, you'll toggle compositing by it.

-> The only (present) "downstream" (user accessible) way to control those (and FS state changes of managed clients) is via the script interface.
Comment 203 Alexander Mezin 2013-07-28 16:27:32 UTC
(In reply to comment #202)
> It will  require to move the blocking code from Client to Toplevel - does
> anything but (upcoming) SDL2 support it so far?
AFAIK, almost every new game is using SDL 2 (from games based on MonoGame to Valve's Source). And most old games are using SDL 1, which does override_redirect. I say "most" and "almost" here, but I don't know any exceptions.

> The _NET_WM_BYPASS_COMPOSITOR tristate is a red herring: if special clients
> are not interested in saying: "1", why should regular clients be interested
> in saying "2"?
Regular clients don't need to say anything, they won't be unredirected/compositing won't be suspended.

> And why esp. those which are override_redirect and thus often don't set any
> properties at all?
You answered yourself:
> The next problem is that unmanged windows are only matched "fullscreen" by
> their geometry, so if your imagebrowser opens a popup to preview the image
> and uses the maximum screen area, you'll toggle compositing by it.
It's not too hard to set this hint, 3 lines of code with Xlib or a bit more with xcb.
Also, as Gnome's Mutter does almost the same things (in particular, it unredirects unmanaged windows), non-KDE clients will have this hint where needed.
Comment 204 Thomas Lübking 2013-07-28 17:55:48 UTC
(In reply to comment #203)

> And most old games are using SDL 1
Even if, that's irrelevant.
Actually that would make the solution *extremely* simple: have SDL1 tag the window as "_NET_WM_BYPASS_COMPOSITOR", "1" - problem solved.

> which does override_redirect.
You are aware that "override_redirect" just means: "Dear WM, please ignore me"?
Every popup and tooltip, many docks, some "fullscreen" windows of all sorts (often because they're just popups), a whole bunch of synthetic windows and whatnot are.
It's not somehow a hint on the content of the window or some SDL exclusive.
The state is not a usable hint on whether compositing should be used. You enter the field of heuristics what means you'll hit false positives for sure.

> Regular clients don't need to say anything, they won't be
> unredirected/compositing won't be suspended.

I think there's a misunderstanding about "regular" - i was only talking about "override_redirect windows that are not interested in skipping the redirection", NOT about "non override_redirects".

> > And why esp. those which are override_redirect and thus often don't set any
> > properties at all?
> You answered yourself:
No, where?

> It's not too hard to set this hint, 3 lines of code with Xlib or a bit more
> with xcb.

The problem is not that it's hard to do, the problem is that nobody does and especially you can not expect "legacy" clients to alter to match your reconsiderations about the protocol.
Providing the ability to hint this preference is fine, but an absent hint only indicates an absent hint - not any intention.
Comment 205 Alexander Mezin 2013-07-28 18:25:14 UTC
(In reply to comment #204)
> Actually that would make the solution *extremely* simple: have SDL1 tag the
> window as "_NET_WM_BYPASS_COMPOSITOR", "1" - problem solved.
AFAIK SDL 1 reached end of life - there won't be any official updates. Actual problem with legacy code is here, not with "false positives".

And let's talk about my patch in reviewboard.

Currently I want to solve another problem: I can't enable unredirection with one click anymore, just because other users with broken gpu drivers clicked too much.
Your "fix" causes regression for me. Isn't it a bad fix?

Also, you've disabled all Intel cards, while the problem may be specific to i915g driver or older mesa versions.
Comment 206 Thomas Lübking 2013-07-28 19:25:55 UTC
(In reply to comment #205)
> (In reply to comment #204)
> > Actually that would make the solution *extremely* simple: have SDL1 tag the
> > window as "_NET_WM_BYPASS_COMPOSITOR", "1" - problem solved.
> AFAIK SDL 1 reached end of life - there won't be any official updates.
> Actual problem with legacy code is here, not with "false positives".
No, false positives is what you'll get on your approach - proof: the cause for this discussion.

> Your "fix" causes regression for me. Isn't it a bad fix?
It's not a fix, thus not a bad fix.
It's a trade-off: we've a feature that will either get you less performance boost than another feature - or crashes.

Then what's the "regression"?
You suspend compositing instead and get 3 more extra fps in your shooter?

If you can work around the problem in a way so that we do no more get a "help, kwin crashed after checking this" bugreport about every week, i'll happily vote for that solution.

inb4: If your solution is "disable it by default and remove the config GUI", you're asking for a single target ("you") solution - and i'm dead sure the "secret command to make kwin faster" will show up pretty fas as well - with known consequences.

> Also, you've disabled all Intel cards, while the problem may be specific to
> i915g driver or older mesa versions.

It seems Sandybridge is affected by the same root cause (see comment #17 and comment #43) and it seems Ubuntu/Compiz meanwhile figured this happens =)
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/947544
Comment 207 Alexander Mezin 2013-07-28 19:43:39 UTC
(In reply to comment #206)
> No, false positives is what you'll get on your approach - proof: the cause
> for this discussion.
Yes, I'll get some false positives. Theoretically. But in practice:
- What's the problem with unredirected fullscreen unmanaged window? It could cause flicker once, nothing more.
- I've never seen such windows (where I didn't want unredirection).
 
> Then what's the "regression"?
> You suspend compositing instead and get 3 more extra fps in your shooter?
I get black screen when I run something with DRI_PRIME=1. And after reverting it everything is fine again.

> If you can work around the problem in a way so that we do no more get a
> "help, kwin crashed after checking this" bugreport about every week, i'll
> happily vote for that solution.
Suspend compositing instead of unredirecting? I'm not against it, I'm against removing single-checkbox solution.

> you're asking for a single target ("you") solution
Solution for a single target (me) is git revert.
Comment 208 Thomas Lübking 2013-07-28 20:59:04 UTC
(In reply to comment #207)

> - What's the problem with unredirected fullscreen unmanaged window? It could
> cause flicker once, nothing more.
It could flicker often, but the problem of course magnifies when you suspend compositing (because things like present windows etc. won't work either)

> - I've never seen such windows (where I didn't want unredirection).
Individual experience is, frankly, irrelevant.
  
> I get black screen when I run something with DRI_PRIME=1. And after
> reverting it everything is fine again.
Since you already run it with a shell export, you can just as easily block compositing around it.
 
> I'm not against it, I'm against removing single-checkbox solution.
And the truth is that a "single-checkbox solution" regardless of the backend (unredirection/suspension) does not work. For complete suspension it's actually a complete no-go.
Property hint control works. Rules work. Scripts (kinda dynamic rules) work.
"Yes or no" has been imprecise and will remain so, thus also your RR to sharpen it (regardles on whether implying "override_redirect = SuperMeatBoy = SDL" assumptions are reasonable)
Comment 209 Ben Cooksley 2013-07-28 23:02:05 UTC
Removing dano0955@yahoo.com from CC list per abuse report.
Comment 210 Martin Flöser 2013-07-29 05:04:12 UTC
> > No, false positives is what you'll get on your approach - proof: the cause
> > for this discussion.
> 
> Yes, I'll get some false positives. Theoretically. But in practice:
> - What's the problem with unredirected fullscreen unmanaged window? It could
> cause flicker once, nothing more.
KWin uses unredirected fullscreen translucent (!) unmanaged windows.
Comment 211 Ben Cooksley 2013-08-01 08:46:36 UTC
Removing rr.rjs@hotmail.com per abuse report.
Comment 212 Thomas Lübking 2013-08-05 19:27:55 UTC
Git commit f215bfb502461f2c2b281d023b0a92b2464422d7 by Thomas Lübking.
Committed on 28/07/2013 at 19:44.
Pushed by luebking into branch 'KDE/4.11'.

write back unsupported (kwin-intel) unredirection

to have a minimal hint on "this does not work"

REVIEW: 111772

M  +3    -0    kwin/options.cpp

http://commits.kde.org/kde-workspace/f215bfb502461f2c2b281d023b0a92b2464422d7